Skip to content

Create entity record

Create an entity record in an Entity.

Endpoint

POST /api/v1/external/projects/{projectUuid}/entities/{entityId}/records

Headers

HeaderTypeRequiredDescription
AuthorizationstringYesBearer token for authentication
AcceptstringNoMust be application/json

Request Body

The request should be sent as application/json with the following fields:

FieldTypeRequiredDescription
recordsarrayYesArray of entity record objects
records.*.dataobjectYesThe entity record data

Parameters

ParameterTypeRequiredDescription
projectUuidstringYesThe UUID of the project to upload the document to. Can be found in the Recognito application.
entityIdstringYesThe ID of the entity to create the record in. Can be found in the Recognito application.

Response

Success Response (200 OK)

json
{
  "status": "done",
  "entityRecordsInserted": 5
}

Error Response (400 Bad Request)

json
{
  "error": "string",
  "message": "string"
}

Example

Request

bash
curl -X POST https://apiv2.recognito.io/api/v1/external/projects/{projectUuid}/entities/{entityId}/records \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "records": [
      {
        "data": {
          "name": "John Doe",
          "email": "john.doe@example.com"
        }
      }
    ]
  }'

Response

json
{
  "status": "done",
  "entityRecordsInserted": 1
}